## gnome-shell-extension-weather 0~20130328.git1452a2d

=== debian/changelog ===
gnome-shell-extension-weather (0~20130328.git1452a2d-1) unstable; urgency=low

  * New upstream release. Supports GNOME Shell 3.8. (Closes: #704147)
  * debian/control: gnome-shell 3.8 now satisfies the dependency.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 28 Mar 2013 21:11:34 +0100

gnome-shell-extension-weather (0~20130224.gitfc0ac23-1) unstable; urgency=low

  * Initial release. (Closes: #648653)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 05 Mar 2013 22:06:48 +0100

## gnome-shell-extension-weather 119

=== Makefile ===
# Basic Makefile

PKG_NAME = gnome-shell-extension-openweather
UUID = openweather-extension@jenslody.de
BASE_MODULES = metadata.json COPYING AUTHORS
SRC_MODULES = extension.js openweathermap.js prefs.js stylesheet.css
PREFS_MODULES = generalPage.js layoutPage.js locationsPage.js aboutPage.js
EXTRA_DIRECTORIES = media
TOLOCALIZE = $(addprefix src/, extension.js openweathermap.js prefs.js) \
             $(addprefix src/preferences/, $(PREFS_MODULES)) \
             schemas/org.gnome.shell.extensions.openweather.gschema.xml
MSGSRC = $(wildcard po/*.po)

# Packagers: Use DESTDIR for system wide installation
ifeq ($(strip $(DESTDIR)),)
	INSTALLTYPE = local
	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
else
	INSTALLTYPE = system
	SHARE_PREFIX = $(DESTDIR)/usr/share
	INSTALLBASE = $(SHARE_PREFIX)/gnome-shell/extensions
endif
# Set a git version for self builds from the latest git tag with the revision
# (a monotonically increasing number that uniquely identifies the source tree)
# and the current short commit SHA1. (Note: not set if VERSION passed)
GIT_VER = $(shell git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g')
# The command line passed variable VERSION is used to set the version integer
# in the metadata and in the generated zip file. If no VERSION is passed, we
# won't touch the metadata version and instead use that for the zip file.
ifdef VERSION
	ZIPVER = -v$(VERSION)
else
	ZIPVER = -v$(shell cat metadata.json | sed '/"version"/!d' | sed s/\"version\"://g | sed s/\ //g)
endif

.PHONY: all clean extension potfile mergepo install install-local zip-file

all: extension

clean:
	rm -f ./schemas/gschemas.compiled
	rm -f ./po/*.mo

extension: ./schemas/gschemas.compiled $(MSGSRC:.po=.mo)

./schemas/gschemas.compiled: ./schemas/org.gnome.shell.extensions.openweather.gschema.xml
	glib-compile-schemas ./schemas/

potfile: ./po/openweather.pot

mergepo: potfile
	for l in $(MSGSRC); do \
		msgmerge -U $$l ./po/openweather.pot; \
	done;

./po/openweather.pot: $(TOLOCALIZE)
	mkdir -p po
	xgettext -k_ -kN_ --from-code utf-8 -o po/openweather.pot --package-name $(PKG_NAME) $(TOLOCALIZE)

./po/%.mo: ./po/%.po
	msgfmt -c $< -o $@

install: install-local

install-local: _build
	rm -rf $(INSTALLBASE)/$(UUID)
	mkdir -p $(INSTALLBASE)/$(UUID)
	cp -r ./_build/* $(INSTALLBASE)/$(UUID)/
ifeq ($(INSTALLTYPE),system)
	# system-wide settings and locale files
	rm -r  $(addprefix $(INSTALLBASE)/$(UUID)/, schemas locale COPYING)
	mkdir -p $(SHARE_PREFIX)/glib-2.0/schemas \
		$(SHARE_PREFIX)/locale \
		$(SHARE_PREFIX)/licenses/$(PKG_NAME)
	cp -r ./schemas/*gschema.xml $(SHARE_PREFIX)/glib-2.0/schemas
	cp -r ./_build/locale/* $(SHARE_PREFIX)/locale
	cp -r ./_build/COPYING $(SHARE_PREFIX)/licenses/$(PKG_NAME)
endif
	-rm -fR _build
	echo done

zip-file: _build
	cd _build ; \
	zip -qr "$(PKG_NAME)$(ZIPVER).zip" .
	mv _build/$(PKG_NAME)$(ZIPVER).zip ./
	-rm -fR _build

_build: all
	-rm -fR ./_build
	mkdir -p _build/preferences
	cp $(BASE_MODULES) $(addprefix src/, $(SRC_MODULES)) _build
	cp $(addprefix src/preferences/, $(PREFS_MODULES)) _build/preferences
	cp -r $(EXTRA_DIRECTORIES) _build
	mkdir -p _build/schemas
	cp schemas/*.xml _build/schemas/
	cp schemas/gschemas.compiled _build/schemas/
	mkdir -p _build/locale
	for l in $(MSGSRC:.po=.mo) ; do \
		lf=_build/locale/`basename $$l .mo`; \
		mkdir -p $$lf; \
		mkdir -p $$lf/LC_MESSAGES; \
		cp $$l $$lf/LC_MESSAGES/$(PKG_NAME).mo; \
	done;
ifdef VERSION
	sed -i 's/"version": .*/"version": $(VERSION)/' _build/metadata.json;
else ifneq ($(strip $(GIT_VER)),)
	sed -i '/"version": .*/i\ \ "git-version": "$(GIT_VER)",' _build/metadata.json;
endif

## gnome-shell-extension-weather 0~20130619.gitf74de79

=== debian/changelog ===
gnome-shell-extension-weather (0~20130619.gitf74de79-2) unstable; urgency=low

  [ Jeremy Bicha ]
  * Depend on needed gir packages

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 15 Aug 2013 13:41:21 +0200

gnome-shell-extension-weather (0~20130619.gitf74de79-1) unstable; urgency=low

  * New upstream snapshot.
    + Uses SSL for connecting to Yahoo. (Closes: #706622)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 19 Jun 2013 14:21:58 +0200

=== debian/control ===
Source: gnome-shell-extension-weather
Section: gnome
Priority: extra
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf,
 gnome-common, libglib2.0-dev
Standards-Version: 3.9.4
Homepage: https://github.com/Neroth/gnome-shell-extension-weather
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-shell-extension-weather
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extension-weather

Package: gnome-shell-extension-weather
Architecture: all
Depends: ${misc:Depends},
         gnome-shell (>= 3.4),
         gnome-shell (<< 3.9),
         gir1.2-clutter-1.0,
         gir1.2-gtk-3.0,
         gir1.2-gweather-3.0,
         gir1.2-soup-2.4
Recommends: gnome-tweak-tool
Description: weather extension for GNOME Shell
 gnome-shell-extension-weather is a simple extension for displaying weather
 conditions and forecasts in GNOME Shell, featuring support for multiple
 locations, an easy way of selecting locations, and a settings panel through
 gnome-shell-extension-prefs.
 .
 The weather report, including forecasts for today and tomorrow, is fetched
 from Yahoo! Weather.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

# `make check' crashes and is useless, so disable it
override_dh_auto_test:

get-orig-source:
	git clone https://github.com/Neroth/gnome-shell-extension-weather.git gnome-shell-extension-weather-$(DEB_VERSION_UPSTREAM)
	cd gnome-shell-extension-weather-$(DEB_VERSION_UPSTREAM) && \
		git checkout `echo $(DEB_VERSION_UPSTREAM) | sed 's/.*git//'` && \
    rm -rf debian
	tar --exclude-vcs -caf gnome-shell-extension-weather_$(DEB_VERSION_UPSTREAM).orig.tar.xz gnome-shell-extension-weather-$(DEB_VERSION_UPSTREAM)
	rm -rf gnome-shell-extension-weather-$(DEB_VERSION_UPSTREAM)

## gnome-shell-extension-weather 0~20131020.git30174f2

=== debian/changelog ===
gnome-shell-extension-weather (0~20131020.git30174f2-2) unstable; urgency=low

  * Really include NEWS.Debian

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 21 Oct 2013 10:25:56 +0200

gnome-shell-extension-weather (0~20131020.git30174f2-1) unstable; urgency=low

  * New upstream release
    + Compatible with GNOME Shell 3.10. (Closes: #726914)
    + With the switch to libgweather, Moscow sunrise/sunset time should now be
      correct. (Closes: #708564)
  * debian/copyright: reflect upstream changes
  * Require GNOME Shell 3.8 or 3.10
  * Document the switch to libgweather in NEWS.Debian 

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 20 Oct 2013 16:36:42 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 Package: gnome-shell-extension-weather
 Architecture: all
 Depends: ${misc:Depends},
-         gnome-shell (>= 3.4),
-         gnome-shell (<< 3.9),
+         gnome-shell (>= 3.8),
+         gnome-shell (<< 3.11),
          gir1.2-clutter-1.0,
          gir1.2-gtk-3.0,
          gir1.2-gweather-3.0,
@@ -24,7 +24,5 @@
  gnome-shell-extension-weather is a simple extension for displaying weather
  conditions and forecasts in GNOME Shell, featuring support for multiple
  locations, an easy way of selecting locations, and a settings panel through
- gnome-shell-extension-prefs.
- .
- The weather report, including forecasts for today and tomorrow, is fetched
- from Yahoo! Weather.
+ gnome-shell-extension-prefs. The weather report include forecasts for
+ approximatively 10 days.

## gnome-shell-extension-weather 0~20131021.git1bf555c

=== debian/changelog ===
gnome-shell-extension-weather (0~20131021.git1bf555c-1) unstable; urgency=low

  * Switch to a new upstream. The move to libgweather was making the
    extension useless to people not living in a major city. The upstream
    which we now track is a fork of the previous upstream, and it uses
    Yahoo! Weather as data source.
    As a consequence, upgrades from versions <= 0~20130619.gitf74de79-2 no
    longer erase city settings. (Closes: #726977)
  * New patches:
    + name-in-ext-prefs.patch
    + french.patch

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 24 Oct 2013 16:48:46 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf,
  gnome-common, libglib2.0-dev
 Standards-Version: 3.9.4
-Homepage: https://github.com/Neroth/gnome-shell-extension-weather
+Homepage: https://github.com/jenslody/gnome-shell-extension-weather
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-shell-extension-weather
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extension-weather
 
@@ -24,5 +24,5 @@
  gnome-shell-extension-weather is a simple extension for displaying weather
  conditions and forecasts in GNOME Shell, featuring support for multiple
  locations, an easy way of selecting locations, and a settings panel through
- gnome-shell-extension-prefs. The weather report include forecasts for
- approximatively 10 days.
+ gnome-shell-extension-prefs. The weather data are fetched from Yahoo! Weather,
+ and include forecasts for up to five days.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 override_dh_auto_test:
 
 get-orig-source:
-	git clone https://github.com/Neroth/gnome-shell-extension-weather.git gnome-shell-extension-weather-$(DEB_VERSION_UPSTREAM)
+	git clone https://github.com/jenslody/gnome-shell-extension-weather.git gnome-shell-extension-weather-$(DEB_VERSION_UPSTREAM)
 	cd gnome-shell-extension-weather-$(DEB_VERSION_UPSTREAM) && \
 		git checkout `echo $(DEB_VERSION_UPSTREAM) | sed 's/.*git//'` && \
     rm -rf debian

## gnome-shell-extension-weather 0~20140724.gitcad3b38

=== debian/changelog ===
gnome-shell-extension-weather (0~20140724.gitcad3b38-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 04 Aug 2014 22:49:30 +0200

gnome-shell-extension-weather (0~20140608.gitb830562-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 05 Jul 2014 11:20:45 +0200

gnome-shell-extension-weather (0~20140506.gitbad1a58-1) unstable; urgency=low

  * New upstream release.
    + Now uses openweather as a data source.
    + As a consequence, upstream renamed the extension to g-s-e-openweather.
    + Compatible with GNOME Shell 3.12.
    + Italian translation updated. (Closes: #735113)
  * Document these changes in NEWS.Debian.
  * Remove patches:
    + name-in-ext-prefs.patch (useless)
    + french.patch (applied upstream)
  * Bump Standards-Version to 3.9.5. 

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 08 May 2014 17:31:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf,
  gnome-common, libglib2.0-dev
-Standards-Version: 3.9.4
-Homepage: https://github.com/jenslody/gnome-shell-extension-weather
+Standards-Version: 3.9.5
+Homepage: https://github.com/jenslody/gnome-shell-extension-openweather
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-shell-extension-weather
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extension-weather
 
@@ -14,10 +14,10 @@
 Architecture: all
 Depends: ${misc:Depends},
          gnome-shell (>= 3.8),
-         gnome-shell (<< 3.11),
+         gnome-shell (<< 3.13),
          gir1.2-clutter-1.0,
+         gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
-         gir1.2-gweather-3.0,
          gir1.2-soup-2.4
 Recommends: gnome-tweak-tool
 Description: weather extension for GNOME Shell

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

# `make check' crashes and is useless, so disable it
override_dh_auto_test:

get-orig-source:
	git clone https://github.com/jenslody/gnome-shell-extension-openweather.git gnome-shell-extension-weather-$(DEB_VERSION_UPSTREAM)
	cd gnome-shell-extension-weather-$(DEB_VERSION_UPSTREAM) && \
		git checkout `echo $(DEB_VERSION_UPSTREAM) | sed 's/.*git//'`
	tar --exclude-vcs -caf gnome-shell-extension-weather_$(DEB_VERSION_UPSTREAM).orig.tar.xz gnome-shell-extension-weather-$(DEB_VERSION_UPSTREAM)
	rm -rf gnome-shell-extension-weather-$(DEB_VERSION_UPSTREAM)

## gnome-shell-extension-weather 0~20140924.git7e28508

=== debian/changelog ===
gnome-shell-extension-weather (0~20140924.git7e28508-1) unstable; urgency=medium

  * New upstream snapshot.
    + Compatible with GNOME Shell 3.14.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 24 Sep 2014 20:18:40 +0200

## gnome-shell-extension-weather 0~20150615.git0162cf7

=== debian/changelog ===
gnome-shell-extension-weather (0~20150615.git0162cf7-1) unstable; urgency=medium

  * New upstream snapshot.
    Compatible with GNOME Shell 3.16. (Closes: #788789)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 15 Jun 2015 22:49:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf,
  gnome-common, libglib2.0-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/jenslody/gnome-shell-extension-openweather
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-shell-extension-weather
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extension-weather
@@ -13,8 +13,8 @@
 Package: gnome-shell-extension-weather
 Architecture: all
 Depends: ${misc:Depends},
-         gnome-shell (>= 3.8),
-         gnome-shell (<< 3.13),
+         gnome-shell (>= 3.12),
+         gnome-shell (<< 3.17),
          gir1.2-clutter-1.0,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,

## gnome-shell-extension-weather 0~20151003.git339ec8a

=== debian/changelog ===
gnome-shell-extension-weather (0~20151003.git339ec8a-1) unstable; urgency=medium

  * New upstream snapshot.
  * d/control: this release is compatible with GNOME 3.18.
  * d/copyright: reflect upstream changes.
  * d/NEWS: fix urgency of latest entry to make lintian happy.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 03 Oct 2015 11:58:49 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          gnome-shell (>= 3.12),
-         gnome-shell (<< 3.17),
+         gnome-shell (<< 3.19),
          gir1.2-clutter-1.0,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,

## gnome-shell-extension-weather 0~20151023.git34aa242

=== debian/changelog ===
gnome-shell-extension-weather (0~20151023.git34aa242-1) unstable; urgency=medium

  * New upstream snapshot.
    + Now warns about missing API key. (Closes: #801979)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 23 Oct 2015 23:12:37 +0200

## gnome-shell-extension-weather 0~20151125.gitccaa1eb

=== debian/changelog ===
gnome-shell-extension-weather (0~20151125.gitccaa1eb-1~deb8u1) jessie; urgency=medium

  * New upstream snapshot.
    + Compatible with the new API of openweathermap.org. (Closes: #804505)
    + No need to manually enter an API key, since this release ships with a
      default one. This restores the behavior of the applet that was effective
      by the time of the jessie release.
  * Drop d/p/missing-api-key.patch. No longer needed, since this new release
    ships with a default API key.
  * d/copyright: reflect upstream changes.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 13 Jan 2016 10:34:14 +0100

gnome-shell-extension-weather (0~20140924.git7e28508-1+deb8u1) jessie; urgency=medium

  * d/p/missing-api-key.patch: new patch. Displays a warning if API key
    has not been supplied by the user, since querying openweathermap.org no
    longer works without such a key. (Closes: #801979)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 25 Oct 2015 19:24:44 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 Package: gnome-shell-extension-weather
 Architecture: all
 Depends: ${misc:Depends},
-         gnome-shell (>= 3.12),
-         gnome-shell (<< 3.19),
+         gnome-shell (>= 3.8),
+         gnome-shell (<< 3.15),
          gir1.2-clutter-1.0,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,

## gnome-shell-extension-weather 0~20160325.gitb5415ec

=== debian/changelog ===
gnome-shell-extension-weather (0~20160325.gitb5415ec-2ubuntu2) zesty; urgency=medium

  * Really drop upper limit for compatibile gnome-shell version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Feb 2017 12:48:14 -0500

gnome-shell-extension-weather (0~20160325.gitb5415ec-2ubuntu1) zesty; urgency=medium

  * debian/control: Drop upper limit for compatible gnome-shell version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Feb 2017 11:07:43 -0500

gnome-shell-extension-weather (0~20160325.gitb5415ec-2) unstable; urgency=medium

  * QA upload
  * Orphan package, see #828694
  * Add debian/patches/support-gnome-shell-322.patch:
    - Add 3.22 Beta and 3.22 final release version numbers to metadata.json
  * debian/control:
    - Bump gnome-shell dependency to (<< 3.23)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2016 11:11:28 -0400

gnome-shell-extension-weather (0~20160325.gitb5415ec-1) unstable; urgency=medium

  * New upstream snapshot.
  * d/copyright: reflect upstream changes.
  * d/control:
    + This release is compatible with GNOME 3.20.
    + Bump Standards-Version to 3.9.7, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 27 Mar 2016 20:40:14 +0200

gnome-shell-extension-weather (0~20151125.gitccaa1eb-1) unstable; urgency=medium

  * New upstream snapshot.
    + No more UI freeze when network is brought up. (Closes: #807313)
  * d/copyright: reflect upstream changes.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Dec 2015 21:55:24 +0100

=== debian/control ===
Source: gnome-shell-extension-weather
Section: gnome
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1~),
               gnome-common,
               libglib2.0-dev,
Standards-Version: 3.9.7
Homepage: https://github.com/jenslody/gnome-shell-extension-openweather
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-shell-extension-weather
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extension-weather

Package: gnome-shell-extension-weather
Architecture: all
Depends: ${misc:Depends},
         gir1.2-clutter-1.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-soup-2.4,
         gnome-shell (>= 3.12),
Recommends: gnome-tweak-tool
Description: weather extension for GNOME Shell
 gnome-shell-extension-weather is a simple extension for displaying weather
 conditions and forecasts in GNOME Shell, featuring support for multiple
 locations, an easy way of selecting locations, and a settings panel through
 gnome-shell-extension-prefs. The weather data are fetched from Yahoo! Weather,
 and include forecasts for up to five days.

## gnome-shell-extension-weather 0~20170402.git34506a6

=== debian/changelog ===
gnome-shell-extension-weather (0~20170402.git34506a6-2) unstable; urgency=medium

  * QA upload
  * Update Vcs fields for migration to https://salsa.debian.org
  * Add basic gbp.conf
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Recommend gnome-tweaks instead of transitional gnome-tweak-tool
    (Closes: #917786)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 30 Dec 2018 08:17:37 -0500

gnome-shell-extension-weather (0~20170402.git34506a6-1) unstable; urgency=medium

  * QA upload
  * New upstream snapshot.
    - Fix installation detection by extensions.gnome.org (Closes: #859971)
    - Adjust the supported versions (>= 3.14, << 3.25)
    - Adjust the long description to match the new supported services
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/rules: Set the GIT_VERSION so the package version is displayed in
    the about dialog
  * debian/control: Drop the upper limit for the gnome-shell version. Nowadays
    gnome-shell API should be stable enough and it is not checking the
    supported version anyway.

 -- Laurent Bigonville <bigon@debian.org>  Sun, 09 Apr 2017 23:59:23 +0200

=== debian/control ===
Source: gnome-shell-extension-weather
Section: gnome
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12),
               gnome-common,
               libglib2.0-dev,
Standards-Version: 3.9.8
Homepage: https://github.com/jenslody/gnome-shell-extension-openweather
Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-weather.git
Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-weather

Package: gnome-shell-extension-weather
Architecture: all
Depends: ${misc:Depends},
         gir1.2-clutter-1.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-soup-2.4,
         gnome-shell (>= 3.14),
Recommends: gnome-tweaks
Description: weather extension for GNOME Shell
 gnome-shell-extension-openweather is a simple extension for displaying weather
 conditions and forecasts in GNOME Shell, featuring support for multiple
 locations, no need for WOEID, a symmetrical layout and a settings panel through
 gnome-shell-extension-prefs.
 .
 The weather data is fetched from OpenWeatherMap (including forecasts for up to
 ten days) or Dark Sky (including forecasts for up to eight days).

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,10 @@
 
 include /usr/share/dpkg/default.mk
 
+export GIT_VERSION := $(DEB_VERSION)
+
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_autoreconf:
 	dh_autoreconf ./autogen.sh

## gnome-shell-extension-weather 0.0~git20201103.d8be50f

=== debian/changelog ===
gnome-shell-extension-weather (0.0~git20201103.d8be50f-1) unstable; urgency=medium

  * New maintainer (Closes: #828694)
  * Add debian/watch
  * New upstream version 0.0~git20201103.d8be50f
    (Closes: #912875, #955401, #956164, #969273)
  * debian/control:
    - Apply "cme fix dpkg" fixes:
      + Organize debian/control fields
      + Bump Standards-Version to 4.5.0 (no change)
    - Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"
    - Bump gnome-shell dependency to (>= 3.38)
  * debian/rules:
    - Remove deprecated get-orig-source target
    - Remove override_dh_auto_test target as "make check" no longer crashes
  * Add debian/patches/fix-icons.patch:
    - Fix missing icons due to change in Adwaita icon pack 3.38, see
      https://gitlab.com/jenslody/gnome-shell-extension-openweather/-/issues/278
      Special thanks to Victor Vásquez and David Rees for the fix.

 -- Anthony Fok <foka@debian.org>  Mon, 09 Nov 2020 05:38:25 -0700

=== debian/control ===
Source: gnome-shell-extension-weather
Maintainer: Anthony Fok <foka@debian.org>
Section: gnome
Priority: optional
Build-Depends: debhelper-compat (= 13),
               gnome-common,
               libglib2.0-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-weather
Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-weather.git
Homepage: https://github.com/jenslody/gnome-shell-extension-openweather

Package: gnome-shell-extension-weather
Architecture: all
Depends: ${misc:Depends},
         gir1.2-clutter-1.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-soup-2.4,
         gnome-shell (>= 3.38)
Recommends: gnome-tweaks
Description: weather extension for GNOME Shell
 gnome-shell-extension-openweather is a simple extension for displaying weather
 conditions and forecasts in GNOME Shell, featuring support for multiple
 locations, no need for WOEID, a symmetrical layout and a settings panel through
 gnome-shell-extension-prefs.
 .
 The weather data is fetched from OpenWeatherMap (including forecasts for up to
 ten days) or Dark Sky (including forecasts for up to eight days).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export GIT_VERSION := $(DEB_VERSION)

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

=== debian/watch ===
version=4
    opts="mode=git, pgpmode=none" \
    https://gitlab.com/jenslody/gnome-shell-extension-openweather \
    HEAD debian

## gnome-shell-extension-weather 0.0~git20210509.d714eb1

=== debian/changelog ===
gnome-shell-extension-weather (0.0~git20210509.d714eb1-2) unstable; urgency=medium

  * Set debian/watch to track upstream "master" branch again
    which is now even with the "gnome40" branch
  * Declare compatibility with GNOME Shell 41 (Closes: #996076)

 -- Anthony Fok <foka@debian.org>  Tue, 19 Oct 2021 13:05:09 -0600

gnome-shell-extension-weather (0.0~git20210509.d714eb1-1) unstable; urgency=medium

  * New upstream version 0.0~git20210509.d714eb1 (gnome40 branch)
  * Set debian/watch to track upstream "gnome40" branch
  * Bump gnome-shell dependency to (>= 40) (Closes: #993202)
  * Fix upstream URL in debian/control and debian/copyright as the project
    was moved from GitHub to GitLab back in June 2018 (Closes: #990907)
  * Add dependency on ca-certificates to prevent SSL handshake failure
    when loading openweathermap data.  Thanks to Alexei Ustyuzhaninov
    for the report and Adrian Bunk for the fix (Closes: #990418)
  * Bump Standards-Version to 4.6.0 (no change)

 -- Anthony Fok <foka@debian.org>  Fri, 17 Sep 2021 23:19:51 -0600

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,21 @@
 Build-Depends: debhelper-compat (= 13),
                gnome-common,
                libglib2.0-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-weather
 Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-weather.git
-Homepage: https://github.com/jenslody/gnome-shell-extension-openweather
+Homepage: https://gitlab.com/jenslody/gnome-shell-extension-openweather
 
 Package: gnome-shell-extension-weather
 Architecture: all
 Depends: ${misc:Depends},
+         ca-certificates,
          gir1.2-clutter-1.0,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
          gir1.2-soup-2.4,
-         gnome-shell (>= 3.38)
+         gnome-shell (>= 40~),
+         gnome-shell (<< 42~)
 Recommends: gnome-tweaks
 Description: weather extension for GNOME Shell
  gnome-shell-extension-openweather is a simple extension for displaying weather

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
    https://gitlab.com/jenslody/gnome-shell-extension-openweather \
    HEAD debian

## gnome-shell-extension-weather 119

=== debian/changelog ===
gnome-shell-extension-weather (119-1) unstable; urgency=medium

  * Team upload  
  * Update to skrewball fork.
  * Remove all patches. The old patches are no longer relevant.
  * Change Upstream-Contact in Copyright file and add skrewball to contributors
    list in Copyright file.
  * Simplify debian/rules.
  * Update Homepage in debian/control.
  * Alter dependency on libsoup typelib file to gir1.2-soup-3.0 in
    debian/control (Closes: #1019586)
  * Clean up debian/watch

 -- Brandon Snider <brandonjsnider@gmail.com>  Mon, 26 Sep 2022 10:43:32 -0400

gnome-shell-extension-weather (0.0~git20210509.d714eb1-5) unstable; urgency=medium

  * Team upload
  * Update patch to mark compatible with GNOME Shell 43
  * debian/control: Bump maximum gnome-shell to 43 (Closes: #1018286)

 -- Jesús Soto <jesus.soto@canonical.com>  Thu, 08 Sep 2022 12:53:00 -0400

gnome-shell-extension-weather (0.0~git20210509.d714eb1-4) unstable; urgency=medium

  * Move Vcs repo from the debian group to the gnome-team/shell-extensions
    subgroup on Salsa. Thanks to Joerg Jaspert for his help!
    See https://salsa.debian.org/salsa/support/-/issues/294
  * Set Debian GNOME Maintainers as the Maintainer,
    and move myself to the list of Uploaders

 -- Anthony Fok <foka@debian.org>  Wed, 13 Apr 2022 08:59:40 -0600

gnome-shell-extension-weather (0.0~git20210509.d714eb1-3) unstable; urgency=medium

  * Declare compatibility with GNOME Shell 41 and 42.
    Thanks to Simon McVittie for the bug report, and Shawn Buckley
    for the merge request upstream. (Closes: #1008562)
  * Add "Rules-Requires-Root: no" to debian/control
  * Update debian/copyright with more people and updated years,
    and fix superfluous-file-pattern src/convenience.js Lintian warning

 -- Anthony Fok <foka@debian.org>  Sat, 02 Apr 2022 22:56:25 -0600

=== debian/control ===
Source: gnome-shell-extension-weather
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               gnome-common,
               libglib2.0-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-weather
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-weather.git
Homepage: https://gitlab.com/skrewball/openweather

Package: gnome-shell-extension-weather
Architecture: all
Depends: ${misc:Depends},
         ca-certificates,
         gir1.2-clutter-1.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-soup-3.0,
         gnome-shell (>= 40~),
         gnome-shell (<< 44~)
Recommends: gnome-tweaks
Description: weather extension for GNOME Shell
 gnome-shell-extension-openweather is a simple extension for displaying weather
 conditions and forecasts in GNOME Shell, featuring support for multiple
 locations, no need for WOEID, a symmetrical layout and a settings panel through
 gnome-shell-extension-prefs.
 .
 The weather data is fetched from OpenWeatherMap (including forecasts for up to
 ten days) or Dark Sky (including forecasts for up to eight days).

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@

=== debian/watch ===
version=4
https://gitlab.com/skrewball/openweather/tags?sort=updated_desc archive/v?\d[\d.]+/openweather-v?([\d.]+)@ARCHIVE_EXT@

## gnome-shell-extension-weather 121

=== debian/changelog ===
gnome-shell-extension-weather (121-1) unstable; urgency=high

  [ Jeremy Bícha ]
  * New upstream release (Closes: #1018285, #1038412, #1041583)
  * Bump compatible GNOME Shell versions per metadata.json

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Sep 2023 18:30:58 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                gnome-common,
                libglib2.0-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-weather
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-weather.git
 Homepage: https://gitlab.com/skrewball/openweather
@@ -20,8 +20,8 @@
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
          gir1.2-soup-3.0,
-         gnome-shell (>= 40~),
-         gnome-shell (<< 44~)
+         gnome-shell (>= 43~),
+         gnome-shell (<< 45~)
 Recommends: gnome-tweaks
 Description: weather extension for GNOME Shell
  gnome-shell-extension-openweather is a simple extension for displaying weather

## gnome-shell-extension-weather 139

=== Makefile ===
# Basic Makefile

PKG_NAME = gnome-shell-extension-openweatherrefined
UUID = openweather-extension@penguin-teal.github.io
BASE_MODULES = metadata.json COPYING AUTHORS
SRC_MODULES       := $(shell find ./src -maxdepth 1 -type f -printf '%f ')
SRC_FILES		      := $(addprefix ./src/, $(SRC_MODULES))
PREFS_MODULES     := $(shell find ./src/preferences -type f -printf '%f ')
PREFS_FILES	     	:= $(addprefix ./src/preferences/, $(PREFS_MODULES))
EXTRA_DIRECTORIES := media
TOLOCALIZE        := $(SRC_FILES) $(PREFS_FILES) \
             schemas/org.gnome.shell.extensions.openweatherrefined.gschema.xml
MSGSRC            := $(wildcard po/*.po)
SCHEMA_XML			  := ./schemas/org.gnome.shell.extensions.openweatherrefined.gschema.xml

# Packagers: Use DESTDIR for system wide installation
ifeq ($(strip $(DESTDIR)),)
	INSTALLTYPE = local
	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
else
	INSTALLTYPE = system
	SHARE_PREFIX = $(DESTDIR)/usr/share
	INSTALLBASE = $(SHARE_PREFIX)/gnome-shell/extensions
endif

# Set a git version for self builds from the latest git tag with the revision
# (a monotonically increasing number that uniquely identifies the source tree)
# and the current short commit SHA1. (Note: not set if VERSION passed)
GIT_VER = $(shell git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g')
# The command line passed variable VERSION is used to set the version integer
# in the metadata and in the generated zip file. If no VERSION is passed, we
# won't touch the metadata version and instead use that for the zip file.
ifdef VERSION
	FOUNDVERSION := $(VERSION)
else
	FOUNDVERSION := $(shell cat metadata.json | sed '/"version"/!d' | sed s/\"version\"://g | sed s/\ //g)
endif
ZIPVER = -v$(FOUNDVERSION)

TARGZ := ./releases/$(PKG_NAME)$(ZIPVER).tar.gz

.PHONY: all clean potfile mergepo install help
.SILENT: help

all: _build

clean:
	rm -f ./schemas/gschemas.compiled
	rm -f ./po/*.mo
	rm -rf ./releases
	rm -rf ./_build

./schemas/gschemas.compiled: $(SCHEMA_XML)
	glib-compile-schemas --strict ./schemas/

potfile: ./po/openweather.pot

mergepo: potfile
	for l in $(MSGSRC); do \
		msgmerge -U $$l ./po/openweather.pot; \
	done;

./po/openweather.pot: $(TOLOCALIZE)
	mkdir -p po
	xgettext -k_ -kN_ --from-code utf-8 -o po/openweather.pot --package-name $(PKG_NAME) $(TOLOCALIZE)

./po/%.mo: ./po/%.po
	msgfmt -c $< -o $@

install: _build
	rm -rf $(INSTALLBASE)/$(UUID)
	mkdir -p $(INSTALLBASE)/$(UUID)
	cp -r ./_build/* $(INSTALLBASE)/$(UUID)/
ifeq ($(INSTALLTYPE),system)
	# system-wide settings and locale files
	rm -r  $(addprefix $(INSTALLBASE)/$(UUID)/, schemas locale COPYING)
	mkdir -p $(SHARE_PREFIX)/glib-2.0/schemas \
		$(SHARE_PREFIX)/locale \
		$(SHARE_PREFIX)/licenses/$(PKG_NAME)
	cp -r ./schemas/*gschema.xml $(SHARE_PREFIX)/glib-2.0/schemas
	cp -r ./_build/locale/* $(SHARE_PREFIX)/locale
	cp -r ./_build/COPYING $(SHARE_PREFIX)/licenses/$(PKG_NAME)
endif
	-rm -fR _build
	echo done

releases: mergepo _build
	printf -- 'NEEDED: zip tar\n'
	mkdir -p ./releases

	cd ./_build ; \
	zip -qr "../$(PKG_NAME)$(ZIPVER).zip" .
	mv ./$(PKG_NAME)$(ZIPVER).zip ./releases

	cd ./_build ; \
	tar -czf "../$(PKG_NAME)$(ZIPVER).tar.gz" .
	mv "./$(PKG_NAME)$(ZIPVER).tar.gz" $(TARGZ)
	sha256sum $(TARGZ) > $(addsuffix .sha256,$(TARGZ))
	cat $(addsuffix .sha256,$(TARGZ))

./_build: ./schemas/gschemas.compiled $(SCHEMA_XML) $(MSGSRC:.po=.mo) $(BASE_MODULES) $(SRC_FILES) $(PREFS_FILES) $(EXTRA_DIRECTORIES)
	-rm -fR ./_build
	mkdir -p ./_build/preferences
	cp $(BASE_MODULES) $(addprefix src/, $(SRC_MODULES)) ./_build
	cp $(addprefix src/preferences/, $(PREFS_MODULES)) ./_build/preferences
	cp -r $(EXTRA_DIRECTORIES) ./_build
	mkdir -p ./_build/schemas
	cp $(SCHEMA_XML) ./_build/schemas/
	cp ./schemas/gschemas.compiled ./_build/schemas/
	mkdir -p ./_build/locale
	for l in $(MSGSRC:.po=.mo) ; do \
		lf=_build/locale/`basename $$l .mo`; \
		mkdir -p $$lf; \
		mkdir -p $$lf/LC_MESSAGES; \
		cp $$l $$lf/LC_MESSAGES/$(PKG_NAME).mo; \
	done;
ifdef VERSION
	sed -i 's/"version": .*/"version": $(VERSION)/' ./_build/metadata.json;
else ifneq ($(strip $(GIT_VER)),)
	sed -i '/"version": .*/i\ \ "git-version": "$(GIT_VER)",' ./_build/metadata.json;
endif

help:
	printf '\n** OpenWeather Refined v%s (%s) **\n' `grep -oP --color=never '(?<="version-name": ")[^"]*' ./metadata.json` "$(GIT_VER)"
	printf "Switch git to latest release (recommended if you're just trying to install):\n"
	printf '\tgit switch --detach latest\n'
	printf 'Build to output directory (./_build) and regenerate translation files:\n'
	printf '\tmake\n'
	printf 'Install to local user profile (log-out required after):\n'
	printf '\tmake install\n'
	printf 'Install system-wide (log-out required after):\n'
	printf '\tmake install DESTDIR=/usr/share\n'
	printf 'Build translations:\n'
	printf '\tmake mergepo\n'
	printf 'Make Gzip and Zip archives of release build (in ./releases)\n'
	printf '\tmake releases\n'
	printf 'Clean build files:\n'
	printf '\tmake clean\n'
	printf 'See changelog:\n'
	printf '\tless CHANGELOG.md\n'
	printf 'Test in nested GNOME shell:\n'
	printf '\t./nest-test.sh\n'
	printf '\n'

=== debian/changelog ===
gnome-shell-extension-weather (139-3) unstable; urgency=medium

  * Automatically update supported GNOME Shell versions by parsing metadata.json

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Apr 2025 11:52:02 -0400

gnome-shell-extension-weather (139-2) unstable; urgency=medium

  * Team upload
  * Add patch to mark compatible with GNOME Shell 48 (Closes: #1096056)
  * Bump maximum GNOME Shell to 48

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Feb 2025 16:13:47 -0500

gnome-shell-extension-weather (139-1) unstable; urgency=medium

  * Team upload

  [ Brandon Snider ]
  * New upstream release (Closes: #1052111)
  * Updated debian/watch to use penguin-teal fork (Closes: #1080362)
  * Updated supported gnome-shell versions. Removed Recommends gnome-tweaks,
    added Suggests gnome-shell-extension-prefs.
  * Removed obsolete depends on gtk3 and glib.
  * Updated debian/copyright with information from new fork.
  * Removed obsolete depends on clutter. (Closes: #1041630)
  * New upstream release

  [ Jeremy Bícha ]
  * Remove obsolete Build-Depends: gnome-common

 -- Brandon Snider <brandonjsnider@gmail.com>  Tue, 12 Nov 2024 07:56:46 -0400

=== debian/control ===
Source: gnome-shell-extension-weather
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libglib2.0-dev,
                     python3
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-weather
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-weather.git
Homepage: https://github.com/penguin-teal/gnome-openweather

Package: gnome-shell-extension-weather
Architecture: all
Depends: ${misc:Depends},
         ca-certificates,
         gir1.2-soup-3.0,
         gnome-shell (>= ${gnome:MinimumVersion}~),
         gnome-shell (<< ${gnome:MaximumVersion}~),
Suggests: gnome-shell-extension-prefs
Description: weather extension for GNOME Shell
 gnome-shell-extension-openweather is a simple extension for displaying weather
 conditions and forecasts in GNOME Shell, featuring support for multiple
 locations, no need for WOEID, a symmetrical layout and a settings panel through
 gnome-shell-extension-prefs.
 .
 The weather data is fetched from OpenWeatherMap including 3 hour forecasts 
 for up to 5 days.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -- \
		-Vgnome:MinimumVersion=$(shell python3 -c "import json; print(min(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))") \
		-Vgnome:MaximumVersion=$(shell python3 -c "import json; print(1+max(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))")

=== debian/watch ===
version=4
https://github.com/penguin-teal/gnome-openweather/tags .*/v?(\d.*)@ARCHIVE_EXT@
